PCAP_DATALINK_NAME_TO_VAL(3) | Library Functions Manual | PCAP_DATALINK_NAME_TO_VAL(3)

# NAME

pcap_datalink_name_to_val - get the link-layer header type value corresponding to a header type name

# SYNOPSIS

#include <pcap/pcap.h>

int pcap_datalink_name_to_val(const char *name);

# DESCRIPTION

pcap_datalink_name_to_val() translates a link-layer header type name, which is a DLT_ name with the DLT_ removed, to the corresponding link-layer header type value. The translation is case-insensitive.

# RETURN VALUE

pcap_datalink_name_to_val() returns 0 on success and -1 on failure.

# SEE ALSO

pcap(3)

22 August 2010 |